﻿<!DOCTYPE html>     
<html>     
	<head>     
		<meta charset="utf-8">     
		<title>jQuery - Ajax with ColdFusion</title>     
		<!--[if lt IE 9]>     
		  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>     
		<![endif]-->			   
	</head>     
<body>     
   
	<h1>List of Education Courses</h1>
	
	<ul></ul>
	
	<br>
	<button id="fetcher" data-year="2014">Get Courses</button>

<script src="//code.jquery.com/jquery-2.0.3.js"></script>  
<script>
	$(document).ready(function(){
			
		$( "#fetcher" ).on("click", function() {
		   	
			var args = { 
				"method": "get",
				"returnFormat": "json",
				"year": $(this).data( "year" )
			};
	
			$.ajax({
				url: "includes/course.cfc?queryFormat=column",
				type: "post",
				dataType: "json",
				data: args,
				success: function(result) {

					$( "#fetcher" ).hide();
					console.log(result.DATA);
					
					$.each( result.DATA, function( key, value ) {
						row = value;
						$("ul").append($("<li>" + row[1] + "</li>").hide().delay(2000 * key).fadeIn(2000));
					});							
		
				}
			
			});
		
		});	      	
		  	    	
	});	 	
</script>   
   
</body>     
</html>