﻿<cfcomponent displayname="Course" output="false">

	<cffunction name="get" access="remote" output="false" returnformat="JSON">
		
		<cfset var myQuery = QueryNew("ID, Name", "Integer, VarChar")>
		<cfset QueryAddRow(myQuery, 6)>
		  
		<!--- Set the values of the cells in the query --->
		<cfset QuerySetCell(myQuery, "ID", "99", 1)>
		<cfset QuerySetCell(myQuery, "Name", "Trigonometry", 1)>
		<cfset QuerySetCell(myQuery, "ID", "67", 2)>
		<cfset QuerySetCell(myQuery, "Name", "Biology", 2)>
		<cfset QuerySetCell(myQuery, "ID", "406", 3)>
		<cfset QuerySetCell(myQuery, "Name", "Rhetoric and Composition", 3)>
		<cfset QuerySetCell(myQuery, "ID", "22", 4)>
		<cfset QuerySetCell(myQuery, "Name", "Physical Education", 4)>
		<cfset QuerySetCell(myQuery, "ID", "190", 5)>
		<cfset QuerySetCell(myQuery, "Name", "Social Studies", 5)>
		<cfset QuerySetCell(myQuery, "ID", "43", 6)>
		<cfset QuerySetCell(myQuery, "Name", "Information Technology", 6)>		
	
		<cfreturn myQuery />
	</cffunction>
	
	<cffunction name="getAsStruct" access="remote" output="true" returnformat="JSON">
		
		<cfset var courses = []>
		<cfset LOCAL.rs = get()>
				
		<cfloop query="rs">
		    <cfset course = {}>
		    
		    <cfloop list="#rs.columnlist#" index="column">
		        <cfset course[lcase(column)] = rs[column][rs.currentRow]>
		    </cfloop>
		    
		    <cfset arrayAppend(courses, course)/>
		</cfloop>	
	
		<cfreturn courses>
	</cffunction>		
	
</cfcomponent>